Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component
Class AjaxRegionBrige

    java.lang.Object
      org.ajax4jsf.component.AjaxRegionBrige

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxContainerBase

    public class AjaxRegionBrige

extends java.lang.Object
implements org.ajax4jsf.component.AjaxContainerBase, javax.faces.component.StateHolder

Author:
  shura

  Brige design pattern for any UIComponent append support ajax partial rendering. For AJAX request, apply ActionListeniers, construct list of components for render - by direct setting from Listenier or Components bean methods. For use in concrete component, in constructor must be instantiated to class field as : private AjaxRegionBrige brige; .... Constructor(){ brige = new AjaxRegionBrige(this); }. And delegate all brige public methods.

Constructor Summary
`AjaxRegionBrige(javax.faces.component.UIComponent component)`

Method Summary
`void` | `broadcast(javax.faces.event.FacesEvent event)` In addition to to the default `UIComponent.broadcast(javax.faces.event.FacesEvent)`processing, pass the `AjaxEvent`being broadcast to the method referenced by `AjaxListener` (if any), and to the default `AjaxListener`registered on the `Application`.
`javax.el.MethodExpression` | `getAjaxListener()`
`boolean` | `isImmediate()`
`boolean` | `isSelfRendered()`
`boolean` | `isSubmitted()`
`boolean` | `isTransient()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAjaxListener(javax.el.MethodExpression ajaxListener)`
`void` | `setImmediate(boolean immediate)`
`void` | `setSelfRendered(boolean selfRendered)`
`void` | `setSubmitted(boolean submitted)`
`void` | `setTransient(boolean transientFlag)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AjaxRegionBrige

    public AjaxRegionBrige(javax.faces.component.UIComponent component)

Parameters:
  `component` -

Method Detail

### getAjaxListener

    public javax.el.MethodExpression getAjaxListener()

  Specified by:
    `getAjaxListener` in interface `org.ajax4jsf.component.AjaxContainerBase`

### setAjaxListener

    public void setAjaxListener(javax.el.MethodExpression ajaxListener)

  Specified by:
    `setAjaxListener` in interface `org.ajax4jsf.component.AjaxContainerBase`

### isImmediate

    public boolean isImmediate()

  Specified by:
    `isImmediate` in interface `org.ajax4jsf.component.AjaxContainerBase`

### setImmediate

    public void setImmediate(boolean immediate)

  Specified by:
    `setImmediate` in interface `org.ajax4jsf.component.AjaxContainerBase`

### isSelfRendered

    public boolean isSelfRendered()

  Specified by:
    `isSelfRendered` in interface `org.ajax4jsf.component.AjaxContainerBase`

### setSelfRendered

    public void setSelfRendered(boolean selfRendered)

  Specified by:
    `setSelfRendered` in interface `org.ajax4jsf.component.AjaxContainerBase`

### isSubmitted

    public boolean isSubmitted()

  Specified by:
    `isSubmitted` in interface `org.ajax4jsf.component.AjaxContainerBase`
  Returns:
    Returns the submitted.

### setSubmitted

    public void setSubmitted(boolean submitted)

  Specified by:
    `setSubmitted` in interface `org.ajax4jsf.component.AjaxContainerBase`
  Parameters:
    `submitted` - The submitted to set.

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  In addition to to the default `UIComponent.broadcast(javax.faces.event.FacesEvent)`processing, pass the `AjaxEvent`being broadcast to the method referenced by `AjaxListener` (if any), and to the default `AjaxListener`registered on the `Application`.

  Parameters:
    `event` - `FacesEvent`to be broadcast
  Throws:
    `javax.faces.event.AbortProcessingException` - Signal the JavaServer Faces implementation that no further processing on the current event should be performed
    `java.lang.IllegalArgumentException` - if the implementation class of this `FacesEvent`is not supported by this component
    `java.lang.NullPointerException` - if `event` is `null`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `javax.faces.component.StateHolder`

### setTransient

    public void setTransient(boolean transientFlag)

  Specified by:
    `setTransient` in interface `javax.faces.component.StateHolder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.